Page MenuHomePhabricator

Clicking 'make prominent' while depicts form is submitting gets the form into a weird state
Closed, ResolvedPublicBUG REPORT

Description

User story: N/A

We have this:

  • go to a File page with depicts statements
  • add a new depicts statement, click 'publish'
  • while form is submitting, click 'mark as prominent' on one of the statements
  • the form goes into a kind of partial 'edit' state - the trash can icons become visible for each statement, but the 'publish' button and the auto-suggest box are still greyed out
  • once the api response from 'publish' returns, the form is in the 'read' state even though the data has changed
  • if you click on 'edit' the publish button is greyed out, even though you have made changes
  • if you click 'cancel' then you get a confirm message saying 'The data has changed, are you sure?'

We want this:
The obvious solution here is to remove the onclick action from 'make prominent' while the form is submitting (and maybe grey it out as a visual indicator)

Acceptance Criteria:

  • depicts form cannot be put into a partial edit state

QA Results

ACStatusDetails
1T219515#5085052

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterDo not toggle 'primary' onclick while form is submitting

Event Timeline

Cparle created this task.Mar 28 2019, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 3:21 PM
Cparle renamed this task from Clicking 'make prominent' while depicts form is submitting gets user into a weird state to Clicking 'make prominent' while depicts form is submitting gets the form into a weird state.Mar 28 2019, 3:21 PM
Cparle updated the task description. (Show Details)
Ramsey-WMF triaged this task as High priority.Mar 28 2019, 3:24 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Cparle claimed this task.Mar 29 2019, 12:17 PM
Cparle moved this task from To Do to Doing on the Structured-Data-Team-Current-Work board.
Cparle updated the task description. (Show Details)Mar 29 2019, 3:15 PM

Change 500476 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Do not toggle 'primary' onclick while form is submitting

https://gerrit.wikimedia.org/r/500476

matthiasmullie reassigned this task from Cparle to Edtadros.Apr 2 2019, 8:20 AM
matthiasmullie moved this task from Doing to Needs QA on the Structured-Data-Team-Current-Work board.

Change 500476 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Do not toggle 'primary' onclick while form is submitting

https://gerrit.wikimedia.org/r/500476

Edtadros added a comment.EditedApr 4 2019, 1:32 PM

Test Result

Status: ✅ PASS ❓Need More Info
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s)/Comments:

  1. go to a File page with depicts statements
  2. add a new depicts statement, click 'publish'
  3. while form is submitting, click 'mark as prominent' on one of the statements
  4. the form goes into a kind of partial 'edit' state - the trash can icons become visible for each statement, but the 'publish' button and the auto-suggest box are still greyed out

As expected, this did not happen. Clicking Mark as prominent while "Publish Changes" was greyed out did not do anything.

@Cparle Is this enough to satisfy the acceptance criteria?

@Edtadros yep I reckon so

Cparle added a comment.Apr 4 2019, 1:37 PM

@Edtadros yep I reckon so

@Cparle thanks...updating the test result T219515#5085052 to ✅ Pass

Edtadros reassigned this task from Edtadros to Ramsey-WMF.Apr 4 2019, 1:48 PM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.
Ramsey-WMF added a subscriber: PDrouin-WMF.

tested on beta and test commons. throwing over to @PDrouin-WMF

Also tested on Beta and Test Commons - both passed.

Ha78na added a subscriber: Ha78na.

@PDrouin-WMF Moved this into "verify on production" column - when something passes QA feel free to move it along

Ramsey-WMF closed this task as Resolved.Apr 24 2019, 12:50 AM

This works according to current spec on production but, as discussed in T221076, we may redesign the panels to just switch to a non-interactive and grayed-out state altogether during submission in the future.